Bug 345251 - [RHEL 5.2] Xen 3.1.1: Add default keymap option to config.sxp
Summary: [RHEL 5.2] Xen 3.1.1: Add default keymap option to config.sxp
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Michal Novotny
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-22 14:28 UTC by Cole Robinson
Modified: 2014-02-02 22:36 UTC (History)
3 users (show)

Fixed In Version: xen-3.0.3-86.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 10:10:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Keyboard mapping default config patch (2.25 KB, patch)
2009-03-13 13:39 UTC, Michal Novotny
no flags Details | Diff
New version of default keyboard mapping config (2.20 KB, patch)
2009-05-05 14:06 UTC, Michal Novotny
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1328 normal SHIPPED_LIVE xen bug fix and enhancement update 2009-09-01 10:32:30 UTC

Description Cole Robinson 2007-10-22 14:28:44 UTC
Cset 15299 from xen-3.1-testing.hg adds a default keymap option to config.sxp to
be used if a guest does not have a keymap specified. It is recommended for
inclusion in RHEL 5.2

Comment 1 RHEL Product and Program Management 2007-10-22 14:35:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 RHEL Product and Program Management 2008-03-11 19:38:49 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 4 Michal Novotny 2009-03-13 13:39:45 UTC
Created attachment 335090 [details]
Keyboard mapping default config patch

This is a backport of upstream at http://xenbits.xensource.com/xen-3.1-testing.hg?rev/43f622b8d751 . In fact we're not using XendConfig.py and other files so it's a modification in XendRoot.py. It's been tested on x86_64 system and PV guest (Xen Framebuffer) and it was working fine...

Comment 6 Michal Novotny 2009-05-05 14:06:41 UTC
Created attachment 342464 [details]
New version of default keyboard mapping config

This is the new version of keyboard mapping default config patch...

Michal

Comment 7 Jiri Denemark 2009-05-11 13:40:03 UTC
Fix built into xen-3.0.3-85.el5

Comment 8 Jiri Denemark 2009-05-21 15:39:20 UTC
Fix built into xen-3.0.3-86.el5

Comment 12 errata-xmlrpc 2009-09-02 10:10:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1328.html


Note You need to log in before you can comment on or make changes to this bug.